CVE-2013-6411

Priority
Medium
Description
The HandleCrashedAircraft function in aircraft_cmd.cpp in OpenTTD 0.3.6
through 1.3.2 allows remote attackers to cause a denial of service
(out-of-bounds read and crash) by crashing an aircraft outside of the map.
References
Package
Upstream:released (1.3.3-1)
Ubuntu 12.04 ESM (Precise Pangolin):DNE (precise was needed)
Ubuntu 14.04 LTS (Trusty Tahr):not-affected (1.3.3-1build1)
Ubuntu 16.04 LTS (Xenial Xerus):not-affected (1.5.3-1)
Ubuntu 17.04 (Zesty Zapus):not-affected (1.6.1-1)
Ubuntu 17.10 (Artful Aardvark):not-affected (1.7.0-1)
More Information

Updated: 2017-12-13 00:01:23 UTC (commit 13889)